Summary: The new generation of DrakXTools 
Name: drakxtools-ng
Version: 0.2
Release: 4mdk
Url: http://drakxtools-ng.sourceforge.net/
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: System/Configuration/Other
# It's enough to require drakxtools-*, because they need everything
# what we need :) 
Requires: drakxtools-newt >= 10-30mdk
Requires: drakxtools >= 10-30mdk
Requires: perl-Libconf >= 0.33
Requires: perl-Gtk2-GladeXML >= 0.95
Requires: perl-MDK-Common >= 1.1.11
BuildArchitectures: noarch
BuildRoot: %_tmppath/%name-buildroot
# Temporary solution, we will use perl-libconf soon
%define _requires_exceptions perl(any)\\|perl(interactive)\\|perl(services)\\|perl(standalone)\\|perl(c)\\|perl(common)\\|perl(run_program)

%description
New, HIG compliant applications simplifiying users and administrators life.
These applications are under heavy development and we are still deciding
what is the best implementation way, thus you should not expect lot of tools
for now.

Check the project web page (drakxtools-ng.sourceforge.net) for more accurate
info.

%prep
%setup 

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
%make PREFIX=/usr DESTDIR=$RPM_BUILD_ROOT install

%find_lang drakxtools-ng
cat drakxtools-ng.lang >> %name.list

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.list
%defattr(-,root,root)
%{_sbindir}/*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/images
%{_datadir}/%{name}/images/*.png
%dir %{_datadir}/%{name}/gui
%dir %{_datadir}/%{name}/gui/gtk2
%{_datadir}/%{name}/gui/gtk2/*.glade
%dir %{_datadir}/%{name}/lib
%{_datadir}/%{name}/lib/*.pm
%dir %{_datadir}/doc/%{name}-%{version}
%doc %{_datadir}/doc/%{name}-%{version}/*

%changelog
* Mon Apr 26 2004 Robert Vojta <robert.vojta@mandrake.cz> 0.2-4mdk
- use %find_lang & %name -f for translations

* Mon Apr 26 2004 Robert Vojta <robert.vojta@mandrake.cz> 0.2-3mdk
- Requires: perl-MDK-Common
- HIGifying current tools (default action, sentence capitalization)
- own drakxtools-ng data directories too (they can be removed with rpm)

* Thu Apr 22 2004 Robert Vojta <robert.vojta@mandrake.cz> 0.2-2mdk
- Requires: perl-Gtk2-GladeXML added

* Mon Apr 21 2004 Robert Vojta <robert.vojta@mandrake.cz> 0.2-1mdk
- perl modules moved into /usr/share directory (rpmlint non-binary-only error)
- localization support added (utf-8, real mess :/) [cs as example added]
- ng-drakdm is using perl-Libconf now (and works perfectly now)

* Thu Apr 01 2004 Robert Vojta <robert.vojta@mandrake.cz> 0.1-1mdk
- first release
